db-move: Clarify error message when the specified repo isn't correct for the...

db-move: Clarify error message when the specified repo isn't correct for the current dbscripts instance

It's not entirely clear what a "configured repository" is, but hopefully
saying that the given repo isn't a "valid repository" is clearer.

In typical use this will result in an error like this:

    ==> ERROR: extra is not a valid repository for /community/db-move

or this:

    ==> ERROR: community-testing is not a valid repository for /packages/db-move

Signed-off-by: Johannes Löthberg <johannes@kyriasis.com>
2 jobs for db-move-better-invalid-repo-error in 8 minutes and 49 seconds (queued for 6 seconds)